Web -> Save as SVG crashes QGIS

2016-01-27 05:15 AM - Kurt Ludikovsky

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 22182

Description

When I try to save a map as an SVG QGIS crashes.

A minidump is available upon request (29 MB).

The map data is just about 20 MB.

This is just with the extension. using svg from thte printing section this works ok.

QGIS: 2.12.3 64 bit

Win 7/64

History

#1 - 2016-01-27 09:28 AM - Nyall Dawson

- Status changed from Open to Feedback

Is this using a plugin? If so, the bug report should be filed with the plugin, not with QGIS itself

#2 - 2016-01-28 12:41 AM - Kurt Ludikovsky

It's part of the standard distribution.

As the crash occurs immmediatly after calling the function, I can't say if this is core or plugin related.

#3 - 2016-01-28 12:46 AM - Nyall Dawson

The "web" menu is only populated by plugins though - there's no Web -> Save as SVG option available in core.

#4 - 2016-01-28 01:00 AM - Kurt Ludikovsky

I just did a simple check and created a simple test file, and the export worked.

So it's possibly really within the integrated plugin (simplesvg from Richard Duivenvoorde).

I'll create an entry there. (Reference https://github.com/rduivenvoorde/simplesvg/issues/12)
#5 - 2016-01-28 01:15 AM - Kurt Ludikovsky

Nyall Dawson wrote:

The "web" menu is only populated by plugins though - there's no Web -> Save as SVG option available in core.

How is this then installed? I haven't ! It's been a clean install, no add-ons, just what has been downloaded.

But I have previous versions installed (1.8, 2.2). But each version is in a different directory.

Is the registry used for installations? How to handly then different versions.

#6 - 2016-01-28 01:55 AM - Martin Dobias

Plugins installed by the user are shared by all releases (installations) of QGIS 2.x. Only plugins for QGIS 1.x are independent because they are installed to

a different directory.

#7 - 2016-01-28 01:58 AM - Martin Dobias

- Status changed from Feedback to Closed

- Resolution set to invalid

As this is a plugin related bug, I am closing the report...

#8 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
